### YamlMime:ManagedReference
items:
- uid: adas_core.module.ProxyDevices.Services.ProxyDeviceService
  commentId: T:adas_core.module.ProxyDevices.Services.ProxyDeviceService
  id: ProxyDeviceService
  parent: adas_core.module.ProxyDevices.Services
  children:
  - adas_core.module.ProxyDevices.Services.ProxyDeviceService.#ctor(Microsoft.Extensions.Options.IOptions{adas_core.module.ProxyDevices.ProxyDeviceSettings})
  - adas_core.module.ProxyDevices.Services.ProxyDeviceService.Process(System.String)
  - adas_core.module.ProxyDevices.Services.ProxyDeviceService.Stream(System.String)
  langs:
  - csharp
  - vb
  name: ProxyDeviceService
  nameWithType: ProxyDeviceService
  fullName: adas_core.module.ProxyDevices.Services.ProxyDeviceService
  type: Class
  source:
    remote:
      path: adas-core.module.ProxyDevices/Services/ProxyDeviceService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: ProxyDeviceService
    path: ../../adas-core.module.ProxyDevices/Services/ProxyDeviceService.cs
    startLine: 12
  assemblies:
  - adas-core.module.ProxyDevices
  namespace: adas_core.module.ProxyDevices.Services
  summary: >-
    ProxyDeviceService is responsible for managing proxy devices, processing requests, and streaming data from the devices. 

    It uses a cache to store device instances for efficient retrieval and ensures that only enabled devices are processed. 

    The service handles HTTP requests and returns appropriate responses based on the device's availability and functionality.
  example: []
  syntax:
    content: 'public class ProxyDeviceService : IProxyDeviceService'
    content.vb: Public Class ProxyDeviceService Implements IProxyDeviceService
  inheritance:
  - System.Object
  implements:
  - adas_core.module.ProxyDevices.Services.IProxyDeviceService
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.module.ProxyDevices.Services.ProxyDeviceService.#ctor(Microsoft.Extensions.Options.IOptions{adas_core.module.ProxyDevices.ProxyDeviceSettings})
  commentId: M:adas_core.module.ProxyDevices.Services.ProxyDeviceService.#ctor(Microsoft.Extensions.Options.IOptions{adas_core.module.ProxyDevices.ProxyDeviceSettings})
  id: '#ctor(Microsoft.Extensions.Options.IOptions{adas_core.module.ProxyDevices.ProxyDeviceSettings})'
  parent: adas_core.module.ProxyDevices.Services.ProxyDeviceService
  langs:
  - csharp
  - vb
  name: ProxyDeviceService(IOptions<ProxyDeviceSettings>)
  nameWithType: ProxyDeviceService.ProxyDeviceService(IOptions<ProxyDeviceSettings>)
  fullName: adas_core.module.ProxyDevices.Services.ProxyDeviceService.ProxyDeviceService(Microsoft.Extensions.Options.IOptions<adas_core.module.ProxyDevices.ProxyDeviceSettings>)
  type: Constructor
  source:
    remote:
      path: adas-core.module.ProxyDevices/Services/ProxyDeviceService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: .ctor
    path: ../../adas-core.module.ProxyDevices/Services/ProxyDeviceService.cs
    startLine: 12
  assemblies:
  - adas-core.module.ProxyDevices
  namespace: adas_core.module.ProxyDevices.Services
  summary: >-
    ProxyDeviceService is responsible for managing proxy devices, processing requests, and streaming data from the devices. 

    It uses a cache to store device instances for efficient retrieval and ensures that only enabled devices are processed. 

    The service handles HTTP requests and returns appropriate responses based on the device's availability and functionality.
  example: []
  syntax:
    content: public ProxyDeviceService(IOptions<ProxyDeviceSettings> settings)
    parameters:
    - id: settings
      type: Microsoft.Extensions.Options.IOptions{adas_core.module.ProxyDevices.ProxyDeviceSettings}
      description: The settings for the proxy devices, including their configuration and parameters.
    content.vb: Public Sub New(settings As IOptions(Of ProxyDeviceSettings))
  overload: adas_core.module.ProxyDevices.Services.ProxyDeviceService.#ctor*
  nameWithType.vb: ProxyDeviceService.New(IOptions(Of ProxyDeviceSettings))
  fullName.vb: adas_core.module.ProxyDevices.Services.ProxyDeviceService.New(Microsoft.Extensions.Options.IOptions(Of adas_core.module.ProxyDevices.ProxyDeviceSettings))
  name.vb: New(IOptions(Of ProxyDeviceSettings))
- uid: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Process(System.String)
  commentId: M:adas_core.module.ProxyDevices.Services.ProxyDeviceService.Process(System.String)
  id: Process(System.String)
  parent: adas_core.module.ProxyDevices.Services.ProxyDeviceService
  langs:
  - csharp
  - vb
  name: Process(string)
  nameWithType: ProxyDeviceService.Process(string)
  fullName: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Process(string)
  type: Method
  source:
    remote:
      path: adas-core.module.ProxyDevices/Services/ProxyDeviceService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Process
    path: ../../adas-core.module.ProxyDevices/Services/ProxyDeviceService.cs
    startLine: 25
  assemblies:
  - adas-core.module.ProxyDevices
  namespace: adas_core.module.ProxyDevices.Services
  summary: >-
    Process method takes a deviceId as input, retrieves the corresponding device from the cache or creates a new instance if it doesn't exist, and then calls the Process method of the device. 

    It returns an HttpResponseMessage based on the outcome of the operation, handling any exceptions that may occur during the process.
  example: []
  syntax:
    content: public Task<HttpResponseMessage> Process(string deviceId)
    parameters:
    - id: deviceId
      type: System.String
      description: The unique identifier of the proxy device to be processed.
    return:
      type: System.Threading.Tasks.Task{System.Net.Http.HttpResponseMessage}
      description: A task that represents the asynchronous operation. The task result contains the HttpResponseMessage returned by the device's Process method.
    content.vb: Public Function Process(deviceId As String) As Task(Of HttpResponseMessage)
  overload: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Process*
  implements:
  - adas_core.module.ProxyDevices.Services.IProxyDeviceService.Process(System.String)
  nameWithType.vb: ProxyDeviceService.Process(String)
  fullName.vb: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Process(String)
  name.vb: Process(String)
- uid: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Stream(System.String)
  commentId: M:adas_core.module.ProxyDevices.Services.ProxyDeviceService.Stream(System.String)
  id: Stream(System.String)
  parent: adas_core.module.ProxyDevices.Services.ProxyDeviceService
  langs:
  - csharp
  - vb
  name: Stream(string)
  nameWithType: ProxyDeviceService.Stream(string)
  fullName: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Stream(string)
  type: Method
  source:
    remote:
      path: adas-core.module.ProxyDevices/Services/ProxyDeviceService.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Stream
    path: ../../adas-core.module.ProxyDevices/Services/ProxyDeviceService.cs
    startLine: 47
  assemblies:
  - adas-core.module.ProxyDevices
  namespace: adas_core.module.ProxyDevices.Services
  summary: Stream method takes a deviceId as input, retrieves the corresponding device from the cache or creates a new instance if it doesn't exist, and then calls the Stream method of the device.
  example: []
  syntax:
    content: public Task<HttpResponseMessage> Stream(string deviceId)
    parameters:
    - id: deviceId
      type: System.String
      description: The unique identifier of the proxy device to be streamed.
    return:
      type: System.Threading.Tasks.Task{System.Net.Http.HttpResponseMessage}
      description: A task that represents the asynchronous operation. The task result contains the HttpResponseMessage returned by the device's Stream method.
    content.vb: Public Function Stream(deviceId As String) As Task(Of HttpResponseMessage)
  overload: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Stream*
  implements:
  - adas_core.module.ProxyDevices.Services.IProxyDeviceService.Stream(System.String)
  nameWithType.vb: ProxyDeviceService.Stream(String)
  fullName.vb: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Stream(String)
  name.vb: Stream(String)
references:
- uid: adas_core.module.ProxyDevices.Services
  commentId: N:adas_core.module.ProxyDevices.Services
  href: adas_core.html
  name: adas_core.module.ProxyDevices.Services
  nameWithType: adas_core.module.ProxyDevices.Services
  fullName: adas_core.module.ProxyDevices.Services
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.module
    name: module
    href: adas_core.module.html
  - name: .
  - uid: adas_core.module.ProxyDevices
    name: ProxyDevices
    href: adas_core.module.ProxyDevices.html
  - name: .
  - uid: adas_core.module.ProxyDevices.Services
    name: Services
    href: adas_core.module.ProxyDevices.Services.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.module
    name: module
    href: adas_core.module.html
  - name: .
  - uid: adas_core.module.ProxyDevices
    name: ProxyDevices
    href: adas_core.module.ProxyDevices.html
  - name: .
  - uid: adas_core.module.ProxyDevices.Services
    name: Services
    href: adas_core.module.ProxyDevices.Services.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: adas_core.module.ProxyDevices.Services.IProxyDeviceService
  commentId: T:adas_core.module.ProxyDevices.Services.IProxyDeviceService
  parent: adas_core.module.ProxyDevices.Services
  href: adas_core.module.ProxyDevices.Services.IProxyDeviceService.html
  name: IProxyDeviceService
  nameWithType: IProxyDeviceService
  fullName: adas_core.module.ProxyDevices.Services.IProxyDeviceService
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.module.ProxyDevices.Services.ProxyDeviceService.#ctor*
  commentId: Overload:adas_core.module.ProxyDevices.Services.ProxyDeviceService.#ctor
  href: adas_core.module.ProxyDevices.Services.ProxyDeviceService.html#adas_core_module_ProxyDevices_Services_ProxyDeviceService__ctor_Microsoft_Extensions_Options_IOptions_adas_core_module_ProxyDevices_ProxyDeviceSettings__
  name: ProxyDeviceService
  nameWithType: ProxyDeviceService.ProxyDeviceService
  fullName: adas_core.module.ProxyDevices.Services.ProxyDeviceService.ProxyDeviceService
  nameWithType.vb: ProxyDeviceService.New
  fullName.vb: adas_core.module.ProxyDevices.Services.ProxyDeviceService.New
  name.vb: New
- uid: Microsoft.Extensions.Options.IOptions{adas_core.module.ProxyDevices.ProxyDeviceSettings}
  commentId: T:Microsoft.Extensions.Options.IOptions{adas_core.module.ProxyDevices.ProxyDeviceSettings}
  parent: Microsoft.Extensions.Options
  definition: Microsoft.Extensions.Options.IOptions`1
  href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  name: IOptions<ProxyDeviceSettings>
  nameWithType: IOptions<ProxyDeviceSettings>
  fullName: Microsoft.Extensions.Options.IOptions<adas_core.module.ProxyDevices.ProxyDeviceSettings>
  nameWithType.vb: IOptions(Of ProxyDeviceSettings)
  fullName.vb: Microsoft.Extensions.Options.IOptions(Of adas_core.module.ProxyDevices.ProxyDeviceSettings)
  name.vb: IOptions(Of ProxyDeviceSettings)
  spec.csharp:
  - uid: Microsoft.Extensions.Options.IOptions`1
    name: IOptions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  - name: <
  - uid: adas_core.module.ProxyDevices.ProxyDeviceSettings
    name: ProxyDeviceSettings
    href: adas_core.module.ProxyDevices.ProxyDeviceSettings.html
  - name: '>'
  spec.vb:
  - uid: Microsoft.Extensions.Options.IOptions`1
    name: IOptions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.module.ProxyDevices.ProxyDeviceSettings
    name: ProxyDeviceSettings
    href: adas_core.module.ProxyDevices.ProxyDeviceSettings.html
  - name: )
- uid: Microsoft.Extensions.Options.IOptions`1
  commentId: T:Microsoft.Extensions.Options.IOptions`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  name: IOptions<TOptions>
  nameWithType: IOptions<TOptions>
  fullName: Microsoft.Extensions.Options.IOptions<TOptions>
  nameWithType.vb: IOptions(Of TOptions)
  fullName.vb: Microsoft.Extensions.Options.IOptions(Of TOptions)
  name.vb: IOptions(Of TOptions)
  spec.csharp:
  - uid: Microsoft.Extensions.Options.IOptions`1
    name: IOptions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  - name: <
  - name: TOptions
  - name: '>'
  spec.vb:
  - uid: Microsoft.Extensions.Options.IOptions`1
    name: IOptions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options.ioptions-1
  - name: (
  - name: Of
  - name: " "
  - name: TOptions
  - name: )
- uid: Microsoft.Extensions.Options
  commentId: N:Microsoft.Extensions.Options
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/microsoft
  name: Microsoft.Extensions.Options
  nameWithType: Microsoft.Extensions.Options
  fullName: Microsoft.Extensions.Options
  spec.csharp:
  - uid: Microsoft
    name: Microsoft
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft
  - name: .
  - uid: Microsoft.Extensions
    name: Extensions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions
  - name: .
  - uid: Microsoft.Extensions.Options
    name: Options
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options
  spec.vb:
  - uid: Microsoft
    name: Microsoft
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft
  - name: .
  - uid: Microsoft.Extensions
    name: Extensions
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions
  - name: .
  - uid: Microsoft.Extensions.Options
    name: Options
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.extensions.options
- uid: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Process*
  commentId: Overload:adas_core.module.ProxyDevices.Services.ProxyDeviceService.Process
  href: adas_core.module.ProxyDevices.Services.ProxyDeviceService.html#adas_core_module_ProxyDevices_Services_ProxyDeviceService_Process_System_String_
  name: Process
  nameWithType: ProxyDeviceService.Process
  fullName: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Process
- uid: adas_core.module.ProxyDevices.Services.IProxyDeviceService.Process(System.String)
  commentId: M:adas_core.module.ProxyDevices.Services.IProxyDeviceService.Process(System.String)
  parent: adas_core.module.ProxyDevices.Services.IProxyDeviceService
  isExternal: true
  href: adas_core.module.ProxyDevices.Services.IProxyDeviceService.html#adas_core_module_ProxyDevices_Services_IProxyDeviceService_Process_System_String_
  name: Process(string)
  nameWithType: IProxyDeviceService.Process(string)
  fullName: adas_core.module.ProxyDevices.Services.IProxyDeviceService.Process(string)
  nameWithType.vb: IProxyDeviceService.Process(String)
  fullName.vb: adas_core.module.ProxyDevices.Services.IProxyDeviceService.Process(String)
  name.vb: Process(String)
  spec.csharp:
  - uid: adas_core.module.ProxyDevices.Services.IProxyDeviceService.Process(System.String)
    name: Process
    href: adas_core.module.ProxyDevices.Services.IProxyDeviceService.html#adas_core_module_ProxyDevices_Services_IProxyDeviceService_Process_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: adas_core.module.ProxyDevices.Services.IProxyDeviceService.Process(System.String)
    name: Process
    href: adas_core.module.ProxyDevices.Services.IProxyDeviceService.html#adas_core_module_ProxyDevices_Services_IProxyDeviceService_Process_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: System.Threading.Tasks.Task{System.Net.Http.HttpResponseMessage}
  commentId: T:System.Threading.Tasks.Task{System.Net.Http.HttpResponseMessage}
  parent: System.Threading.Tasks
  definition: System.Threading.Tasks.Task`1
  href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  name: Task<HttpResponseMessage>
  nameWithType: Task<HttpResponseMessage>
  fullName: System.Threading.Tasks.Task<System.Net.Http.HttpResponseMessage>
  nameWithType.vb: Task(Of HttpResponseMessage)
  fullName.vb: System.Threading.Tasks.Task(Of System.Net.Http.HttpResponseMessage)
  name.vb: Task(Of HttpResponseMessage)
  spec.csharp:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: <
  - uid: System.Net.Http.HttpResponseMessage
    name: HttpResponseMessage
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.net.http.httpresponsemessage
  - name: '>'
  spec.vb:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: (
  - name: Of
  - name: " "
  - uid: System.Net.Http.HttpResponseMessage
    name: HttpResponseMessage
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.net.http.httpresponsemessage
  - name: )
- uid: System.Threading.Tasks.Task`1
  commentId: T:System.Threading.Tasks.Task`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  name: Task<TResult>
  nameWithType: Task<TResult>
  fullName: System.Threading.Tasks.Task<TResult>
  nameWithType.vb: Task(Of TResult)
  fullName.vb: System.Threading.Tasks.Task(Of TResult)
  name.vb: Task(Of TResult)
  spec.csharp:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: <
  - name: TResult
  - name: '>'
  spec.vb:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: (
  - name: Of
  - name: " "
  - name: TResult
  - name: )
- uid: System.Threading.Tasks
  commentId: N:System.Threading.Tasks
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Threading.Tasks
  nameWithType: System.Threading.Tasks
  fullName: System.Threading.Tasks
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Threading
    name: Threading
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading
  - name: .
  - uid: System.Threading.Tasks
    name: Tasks
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Threading
    name: Threading
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading
  - name: .
  - uid: System.Threading.Tasks
    name: Tasks
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks
- uid: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Stream*
  commentId: Overload:adas_core.module.ProxyDevices.Services.ProxyDeviceService.Stream
  href: adas_core.module.ProxyDevices.Services.ProxyDeviceService.html#adas_core_module_ProxyDevices_Services_ProxyDeviceService_Stream_System_String_
  name: Stream
  nameWithType: ProxyDeviceService.Stream
  fullName: adas_core.module.ProxyDevices.Services.ProxyDeviceService.Stream
- uid: adas_core.module.ProxyDevices.Services.IProxyDeviceService.Stream(System.String)
  commentId: M:adas_core.module.ProxyDevices.Services.IProxyDeviceService.Stream(System.String)
  parent: adas_core.module.ProxyDevices.Services.IProxyDeviceService
  isExternal: true
  href: adas_core.module.ProxyDevices.Services.IProxyDeviceService.html#adas_core_module_ProxyDevices_Services_IProxyDeviceService_Stream_System_String_
  name: Stream(string)
  nameWithType: IProxyDeviceService.Stream(string)
  fullName: adas_core.module.ProxyDevices.Services.IProxyDeviceService.Stream(string)
  nameWithType.vb: IProxyDeviceService.Stream(String)
  fullName.vb: adas_core.module.ProxyDevices.Services.IProxyDeviceService.Stream(String)
  name.vb: Stream(String)
  spec.csharp:
  - uid: adas_core.module.ProxyDevices.Services.IProxyDeviceService.Stream(System.String)
    name: Stream
    href: adas_core.module.ProxyDevices.Services.IProxyDeviceService.html#adas_core_module_ProxyDevices_Services_IProxyDeviceService_Stream_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: adas_core.module.ProxyDevices.Services.IProxyDeviceService.Stream(System.String)
    name: Stream
    href: adas_core.module.ProxyDevices.Services.IProxyDeviceService.html#adas_core_module_ProxyDevices_Services_IProxyDeviceService_Stream_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
